[Overview][Resource strings][Types][Procedures and functions][Variables][Index] | Reference for unit 'dbugintf' (#fcl)

# InitDebugClient

Initialize the debug client.

## Declaration

Source position: dbugintf.pp line 46

`function InitDebugClient: Boolean; function InitDebugClient(`
`const ShowPID: Boolean;`
`const ServerLogFilename: string = ''`
`):Boolean;`

## Function result

True if the client was successfully started.

## Arguments

`ShowPID` |  | True to display the Process ID in debug messages
`ServerLogFilename` |  | Log file name where the debug server writes log messages

## Description

InitDebugClient starts the debug server and then performs all necessary initialization of the debug IPC communication channel.

Normally this function should not be called. The SendDebug call will initialize the debug client when it is first called.

## Errors

None.

## See also

SendDebug |  | Send a message to the debug server.
StartDebugServer |  | Start the debug server